Package twisted :: Package internet :: Package serialport :: Module win32serialport

[show private | hide private]
[frames | no frames]

## Module twisted.internet.serialport.win32serialport

Serial port support for Windows.

Requires PySerial and win32all, and needs to be used with win32event reactor.

This code probably works but is currently untested by the maintainers.

Classes
`SerialPort` | A select()able serial device, acting as a transport.

Variable Summary
`FakeModule` | `EIGHTBITS`
`FakeModule` | `FIVEBITS`
`FakeModule` | `PARITY_EVEN`
`FakeModule` | `PARITY_NONE`
`FakeModule` | `PARITY_ODD`
`FakeModule` | `serial`
`FakeModule` | `SEVENBITS`
`FakeModule` | `SIXBITS`
`FakeModule` | `STOPBITS_ONE`
`FakeModule` | `STOPBITS_TWO`
`FakeModule` | `win32event`
`FakeModule` | `win32file`

Variable Details

### EIGHTBITS

  Type:
    `FakeModule`
  Value:

        <Fake serial.EIGHTBITS>

### FIVEBITS

  Type:
    `FakeModule`
  Value:

        <Fake serial.FIVEBITS>

### PARITY_EVEN

  Type:
    `FakeModule`
  Value:

        <Fake serial.PARITY_EVEN>

### PARITY_NONE

  Type:
    `FakeModule`
  Value:

        <Fake serial.PARITY_NONE>

### PARITY_ODD

  Type:
    `FakeModule`
  Value:

        <Fake serial.PARITY_ODD>

### serial

  Type:
    `FakeModule`
  Value:

        <Fake serial>

### SEVENBITS

  Type:
    `FakeModule`
  Value:

        <Fake serial.SEVENBITS>

### SIXBITS

  Type:
    `FakeModule`
  Value:

        <Fake serial.SIXBITS>

### STOPBITS_ONE

  Type:
    `FakeModule`
  Value:

        <Fake serial.STOPBITS_ONE>

### STOPBITS_TWO

  Type:
    `FakeModule`
  Value:

        <Fake serial.STOPBITS_TWO>

### win32event

  Type:
    `FakeModule`
  Value:

        <Fake win32event>

### win32file

  Type:
    `FakeModule`
  Value:

        <Fake win32file>

Generated by Epydoc 1.1 on Thu May 8 13:16:29 2003 | http://epydoc.sf.net